%define module	XML-XSLT
%define	name	perl-%{module}
%define version 0.48
%define release %mkrel 3

Summary:	XML::XSLT - A perl module for processing XSLT
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JS/JSTOWE/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-XML-Parser
BuildRequires:  perl-XML-DOM
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module implements the W3C's XSLT specification. The goal is
full implementation of this spec, but we have not yet achieved
that. However, it already works well. See XML::XSLT Commands for
the current status of each command.

XML::XSLT makes use of XML::DOM and LWP::Simple, while XML::DOM
uses XML::Parser.  Therefore XML::Parser, XML::DOM and LWP::Simple
have to be installed properly for XML::XSLT to run.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc ChangeLog MANIFEST README examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML

%changelog
* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.48-3mdk
- Fix BuildRequires

* Mon Jun 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.48-2mdk
- fix deps (rgs)
- misc spec file fixes

* Fri Apr 23 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.48-1mdk
- 0.48

* Tue Aug 26 2003 Franois Pons <fpons@mandrakesoft.com> 0.45-1mdk
- 0.45.

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.40-4mdk
- rebuild for new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro 

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.40-3mdk
- rebuild for new auto{prov,req}

* Tue Jan 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.40-2mdk
- better summary & description

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.40-1mdk
- new version 0.40
- install in vendor_perl
- build with new perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.32-2mdk
- BuildRequires: perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 0.32-1mdk
- 0.32.
- updated license.
- removed filelist, now use globing and macros.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.24-5mdk
- Rebuild for the latest perl.
- Remove the Distribution and Vendor tag.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.24-4mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit
- run automated tests

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.24-3mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.24-2mdk
- Added BuildRequire

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.24-1mdk
- Macroize package
